com.ihr.xbrl.om.formula.functions

## Class XFIFunctionLibrary

- java.lang.Object
- - com.ihr.xbrl.om.formula.XBRLRSCustomFunctionLibraryAbstract
  - - com.ihr.xbrl.om.formula.functions.XFIFunctionLibrary

- All Implemented Interfaces:
    XBRLRSCustomFunctionLibrary, java.io.Serializable, net.sf.saxon.functions.FunctionLibrary

      public class XFIFunctionLibrary
      extends XBRLRSCustomFunctionLibraryAbstract

  The Class XFIFunctionLibrary.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XFIFunctionLibrary(XBRLFormulaProcessor xbrlFormulaProcessor)` Instantiates a new XFI function library.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sf.saxon.functions.StandardFunction.Entry` | `getFunction(java.lang.String local, int arity)` Returns the implementation of a specific function providing the function local name and the arity.
    `java.lang.String` | `getFunctionLibraryPrefix()` Returns the custom function library prefix.
    `java.lang.String` | `getFunctionLibraryURI()` returns the custom function library URI.

    - ### Methods inherited from class com.ihr.xbrl.om.formula.XBRLRSCustomFunctionLibraryAbstract

      `bind, copy, getFormulaProcessor, getFunctionSignature, isAvailable, setFormulaProcessor`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XFIFunctionLibrary

          public XFIFunctionLibrary(XBRLFormulaProcessor xbrlFormulaProcessor)

      Instantiates a new XFI function library.
      Parameters:
        `xbrlFormulaProcessor` - the xbrl formula processor

  - ### Method Detail

    - #### getFunctionLibraryURI

          public java.lang.String getFunctionLibraryURI()

      Description copied from class: `XBRLRSCustomFunctionLibraryAbstract`
      returns the custom function library URI.
      Specified by:
        `getFunctionLibraryURI` in class `XBRLRSCustomFunctionLibraryAbstract`
      Returns:
        String

    - #### getFunction

          public net.sf.saxon.functions.StandardFunction.Entry getFunction(java.lang.String local,
                                                                  int arity)

      Description copied from class: `XBRLRSCustomFunctionLibraryAbstract`
      Returns the implementation of a specific function providing the function local name and the arity.
      Specified by:
        `getFunction` in class `XBRLRSCustomFunctionLibraryAbstract`
      Parameters:
        `local` - function local name
        `arity` - number of arguments
      Returns:
        StandardFunction.Entry

    - #### getFunctionLibraryPrefix

          public java.lang.String getFunctionLibraryPrefix()

      Description copied from class: `XBRLRSCustomFunctionLibraryAbstract`
      Returns the custom function library prefix.
      Specified by:
        `getFunctionLibraryPrefix` in class `XBRLRSCustomFunctionLibraryAbstract`
      Returns:
        String